#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

# Test mixture of whitelist notation
conffile=/tmp/glexec.conf.$TESTNAME
yaim_setvar GLEXEC_WN_CONFIG $conffile

yaim_setvar PILOT_JOB_FLAG xyzzy
yaim_setvar GLEXEC_EXTRA_WHITELIST '"john,, ,,paul matthew"'

# run yaim

yaim_run

rc=$?
if [ $rc -ne $YEX_OK ]; then
    seterrmsg "Return code $rc should be $YEX_OK"
    exit 1
fi

yaim_finish

grep "^user_white_list" $conffile > /tmp/outp.$TESTNAME

diff /tmp/outp.$TESTNAME $scriptdir/output_$TESTNAME

if [ $? -ne 0 ]; then
    seterrmsg "unexpected whitelist: "`cat /tmp/outp.$TESTNAME`
    exit 1
else
    exit 0
fi

