#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

# Test locking configuration
conffile=/tmp/glexec.conf.$TESTNAME
yaim_setvar GLEXEC_WN_CONFIG $conffile
yaim_setvar GLEXEC_WN_INPUT_LOCK flock
yaim_setvar GLEXEC_WN_TARGET_LOCK flock
yaim_run

rc=$?
if [ $rc -ne $YEX_OK ]; then
    seterrmsg "Return code $rc should be $YEX_OK"
    exit 1
fi
yaim_finish

grep -E "^(target|input)_lock_mechanism" $conffile > /tmp/outp.$TESTNAME

diff /tmp/outp.$TESTNAME $scriptdir/output_$TESTNAME

if [ $? -ne 0 ]; then
    seterrmsg "unexpected output: "`cat /tmp/outp.$TESTNAME`
    exit 1
else
    exit 0
fi

