#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

newhome=/var/local/bubba

# Test GLEXEC_USER_HOME configuration
userdel glexec
yaim_setvar CONFIG_USERS yes
yaim_setvar GLEXEC_USER_HOME $newhome
yaim_run

rc=$?
if [ $rc -ne $YEX_OK ]; then
    seterrmsg "Return code $rc should be $YEX_OK"
    exit 1
fi
yaim_finish

glhome=`getent passwd glexec | awk -F: '{ print $6 }'`

if [ $? -ne 0 ]; then
    seterrmsg "could not find user glexec."
    exit 1
fi

if [ "$glhome" != "$newhome" ]; then
    seterrmsg "home dir for glexec is wrong ($glhome should be $newhome)"
    exit 1
fi

exit 0

