#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

# Test GLEXEC_LOCATION configuration

glexloc=/var/local/glexec

yaim_setvar GLEXEC_LOCATION $glexloc
yaim_setvar GLEXEC_WN_OPMODE setuid
rm -rf $glexloc
yaim_run

rc=$?
if [ $rc -ne $YEX_NOSUCHFILE ]; then
    seterrmsg "Return code $rc should be $YEX_NOSUCHFILE"
    yaim_finish
    exit 1
fi

mkdir -p $glexloc/sbin
cp /opt/glite/sbin/glexec $glexloc/sbin/
chmod 755 $glexloc/sbin/glexec

yaim_run

rc=$?
if [ $rc -ne $YEX_OK ]; then
    seterrmsg "Return code $rc should be $YEX_OK"
    yaim_finish
    exit 1
fi

# test mode of glexec
mode=`ls -l $glexloc/sbin/glexec | awk '{print $1}'`

if [ "$mode" != "-r-sr-sr-x" ]; then
    seterrmsg "Glexec mode is wrong ('$mode' should be '-r-sr-sr-x')"
    yaim_finish
    exit 1
fi

yaim_finish


exit 0

