#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

# Test PEP-C configuration

# Check for the proper default actionid, and a configurable actionid.

lcmapsconf=/tmp/lcmaps.db.$TESTNAME
yaim_setvar ARGUS_PEPD_ENDPOINTS "http://argus2.testbed:8154/authz"
yaim_setvar GLEXEC_WN_ARGUS_ENABLED yes
yaim_setvar GLEXEC_WN_SCAS_ENABLED no
yaim_setvar GLEXEC_WN_OPMODE setuid
yaim_setvar GLEXEC_WN_LCMAPS_CONFIG $lcmapsconf
yaim_run

rc=$?
if [ $rc -ne $YEX_OK ]; then
    seterrmsg "Return code $rc should be $YEX_OK"
    yaim_finish
    exit 1
fi

yaim_finish

grep -A5 '^pepc\s*=' $lcmapsconf > /tmp/outp.$TESTNAME

diff -B /tmp/outp.$TESTNAME $scriptdir/output_$TESTNAME

if [ $? -ne 0 ]; then
    seterrmsg "unexpected LCMAPS configuration: "`cat /tmp/outp.$TESTNAME`
    exit 1
else
    exit 0
fi

exit 0

